Package de.gebit.integrity.serializer

## Class DSLSyntacticSequencer

- java.lang.Object
- - org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer
  - - de.gebit.integrity.serializer.AbstractDSLSyntacticSequencer
    - - de.gebit.integrity.serializer.DSLSyntacticSequencer

- All Implemented Interfaces:
    `org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor`, `org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer`

      public class DSLSyntacticSequencer
      extends AbstractDSLSyntacticSequencer

  This autogenerated class is currently not used for any overrides/extensions.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer.SyntacticalContext`

    - ### Nested classes/interfaces inherited from interface org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer

      `org.eclipse.xtext.serializer.sequencer.ISyntacticSequencer.ISyntacticSequencerOwner`

  - ### Field Summary

    - ### Fields inherited from class de.gebit.integrity.serializer.AbstractDSLSyntacticSequencer

      `grammarAccess, match_ParameterTableHeader_VerticalLineKeyword_2_q, match_ParameterTableValue_VerticalLineKeyword_2_q, match_ResultTableHeader_VerticalLineKeyword_3_q, match_Suite_CommaKeyword_9_2_1_q, match_SuiteDefinition___ConcludedbyKeyword_11_0_NLParserRuleCall_11_1__q, match_SuiteDefinition___RequiresKeyword_10_0_NLParserRuleCall_10_1__q, match_TimeSet_CommaKeyword_3_2_1_q`

    - ### Fields inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `contexts, delegate, diagnosticProvider, errorAcceptor, pdaProvider, tokenUtil`

    - ### Fields inherited from interface org.eclipse.xtext.serializer.acceptor.ISemanticSequenceAcceptor

      `NO_INDEX`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLSyntacticSequencer()` |

  - ### Method Summary

    - ### Methods inherited from class de.gebit.integrity.serializer.AbstractDSLSyntacticSequencer

      `emit_ParameterTableHeader_VerticalLineKeyword_2_q, emit_ParameterTableValue_VerticalLineKeyword_2_q, emit_ResultTableHeader_VerticalLineKeyword_3_q, emit_Suite_CommaKeyword_9_2_1_q, emit_SuiteDefinition___ConcludedbyKeyword_11_0_NLParserRuleCall_11_1__q, emit_SuiteDefinition___RequiresKeyword_10_0_NLParserRuleCall_10_1__q, emit_TimeSet_CommaKeyword_3_2_1_q, emitUnassignedTokens, getNLFORCEDToken, getNLToken, getUnassignedRuleCallToken, init`

    - ### Methods inherited from class org.eclipse.xtext.serializer.sequencer.AbstractSyntacticSequencer

      `accept, accept, acceptAssignedCrossRefDatatype, acceptAssignedCrossRefEnum, acceptAssignedCrossRefKeyword, acceptAssignedCrossRefTerminal, acceptAssignedDatatype, acceptAssignedEnum, acceptAssignedKeyword, acceptAssignedTerminal, acceptNode, acceptNodes, acceptNodes, acceptUnassignedAction, acceptUnassignedDatatype, acceptUnassignedEnum, acceptUnassignedKeyword, acceptUnassignedTerminal, collectAbstractElements, collectNodes, enterAssignedAction, enterAssignedParserRuleCall, findTransition, finish, getLastLeaf, getLastNavigableState, getNodesFor, getTokenText, getUnassignedRuleCallToken, init, init, leaveAssignedAction, leaveAssignedParserRuleCall, navigateToAbsorber, navigateToAbsorber, navigateToEmitter, navigateToEmitter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLSyntacticSequencer

          public DSLSyntacticSequencer()